# Field Default Values

The **Field Default Values** module (`set_field_defaults`) allows administrators to configure default values for various field types, ensuring consistency and reducing manual input when creating new fields.

For a full description of the module, visit the  
[project page](https://www.drupal.org/project/set_field_defaults).

Submit bug reports and feature suggestions, or track changes in the  
[issue queue](https://www.drupal.org/project/issues/set_field_defaults).

## Installation

Install as you would normally install a contributed Drupal module. For further information, see  
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

### Using Composer

```sh
composer require drupal/set_field_defaults
```
## How to use
Access configuration form at:
```
/admin/config/field-defaults
```

## How it works?
The module integrates directly with Drupal's field system. When creating a new field, the configured default values are applied automatically, if the option is enabled.
 - Administrators can define default values per field type.
 - When a new field is added, the default values are pre-filled.
